@using System.Collections
@model GameShop.ViewModels.GamesViewModel

@{
    ViewBag.Title = "Games";
    Layout = "_Main";
}

<div class="row" id="allgames">
    <div class="col-lg-3" style="position: fixed;">
        <div class="search">
            <h2>Search</h2>
            <form asp-action="All" asp-controller="Games">
                
                <p>Genre</p>
                <input type="radio" value="0" asp-for="GenreId"/>None<br/>
                @foreach (var genre in @Model.Genres)
                {
                    <input type="radio" value="@genre.Id" asp-for="GenreId"/><text>@genre.Title<br/></text>
                }
                
                <hr/>
                <p>Publisher</p>
                <input type="radio" value="0" asp-for="PublisherId"/>None<br/>
                @foreach (var publisher in @Model.Publishers)
                {
                    <input type="radio" value="@publisher.Id" asp-for="PublisherId"/><text>@publisher.Name<br/></text>
                }
                
                <p>Keyword</p>
                <input type="text" asp-for="Keyword" placeholder="Keyword"/><br/>
                
                <br/>
                <input type="submit" value="Search"/>
            </form>
        </div>
    </div>
    
    <div class="col-lg-9 offset-3">
        
        <partial name="_Errors"/>
        
        <p style="float: left;" class="title">Games</p>
        <p style="float: right;" class="results">Results: @Model.Games.Count()</p>
        <div style="clear: both;"></div>
        <div class="row">

            @foreach (var game in @Model.Games)
            {
            <div class="col-lg-4">
                <a href="/games/@game.Id">
                    <div class="game">
                        <div class="image" style="background-image: url(/images/games/@game.Id\.jpg);"></div>
                        <div class="extra">
                            <div class="title">@game.Title</div>
                            <div class="currency-money">€@game.Price</div>
                            <div class="currency-bucks">@game.CoinPrice G</div>
                        </div>
                    </div>
                </a>
            </div>
            }

            @if (!Model.Games.Any())
            {
                <div class="nogamesfound">No Gems Found! Whoops</div>
            }
            
        </div>

    </div>
</div>